PrefabFiles = {
    "glock",
    "deagle",
    "ak47",
    "glockclip",
    "deagleclip",
    "akclip",
    "frag",
    "knife",
    "combatar",
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH
local HPVal = GetModConfigData("HPSTAT")
local TUNING = GLOBAL.TUNING
TUNING.DEAGLE_DAMAGE = GetModConfigData("DEAGLEDMGSTAT")
TUNING.GLOCK_DAMAGE = GetModConfigData("GLOCKDMGSTAT")
TUNING.AK47_DAMAGE = GetModConfigData("AK47DMGSTAT")
TUNING.KNIFE_DAMAGE = GetModConfigData("KNIFEDMGSTAT")

--guns
AddRecipe("deagle", { Ingredient("ash", 2), Ingredient("goldnugget", 5), Ingredient("nitre", 4) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, nil, nil, "images/inventoryimages/deagle.xml", "deagle.tex" )
AddRecipe("glock", { Ingredient("ash", 2), Ingredient("goldnugget", 3), Ingredient("nitre", 4) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, nil, nil, "images/inventoryimages/glock.xml", "glock.tex" )
AddRecipe("ak47", { Ingredient("ash", 2), Ingredient("goldnugget", 8), Ingredient("nitre", 4) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, nil, nil, "images/inventoryimages/ak47.xml", "ak47.tex" )
AddRecipe("deagleclip", { Ingredient("charcoal", 1), Ingredient("ash", 2) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, 7, nil, "images/inventoryimages/deagleclip.xml", "deagleclip.tex" )
AddRecipe("glockclip", { Ingredient("charcoal", 1), Ingredient("ash", 2) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, 7, nil, "images/inventoryimages/deagleclip.xml", "deagleclip.tex" )
AddRecipe("akclip", { Ingredient("charcoal", 1), Ingredient("ash", 2) }, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, 7, nil, "images/inventoryimages/akclip.xml", "akclip.tex" )


if HPVal == 1 then
	TUNING.HPREGEN = 10
end
if HPVal == 2 then
	TUNING.HPREGEN = 5
end

if HPVal == 3 then
	TUNING.HPREGEN = 3
end
if HPVal == 4 then
	TUNING.HPREGEN = 2
end
if HPVal == 5 then
	TUNING.HPREGEN = 1
end
